﻿<ResourceDictionary
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:dx="http://schemas.devexpress.com/winfx/2008/xaml/core"
        xmlns:dxb="http://schemas.devexpress.com/winfx/2008/xaml/bars"
        xmlns:dxr="http://schemas.devexpress.com/winfx/2008/xaml/ribbon"
        xmlns:dxg="http://schemas.devexpress.com/winfx/2008/xaml/grid"
        xmlns:dxwui="http://schemas.devexpress.com/winfx/2008/xaml/windowsui"
        xmlns:dxrudex="http://schemas.devexpress.com/winfx/2008/xaml/reports/userdesignerextensions"
        xmlns:dxmvvm="http://schemas.devexpress.com/winfx/2008/xaml/mvvm"
        xmlns:localization="clr-namespace:StockSystem.Localization">
    <!--#region Commands-->
    <Style x:Key="CollectionView.Command.Base" TargetType="dxwui:AppBarButton">
        <Setter Property="HorizontalAlignment" Value="Center" />
        <Setter Property="AllowGlyphTheming" Value="True" />
        <Setter Property="GlyphStretch" Value="None" />
        <Setter Property="IsEllipseEnabled" Value="False" />
    </Style>
    <Style x:Key="CollectionView.Command.New" BasedOn="{StaticResource CollectionView.Command.Base}" TargetType="dxwui:AppBarButton">
        <Setter Property="Label" Value="{x:Static localization:ViewResources.Command_New}" />
        <Setter Property="Glyph" Value="{Binding Source={dx:DXImageGrayscale Image=New_32x32.png}}" />
        <Setter Property="Command" Value="{Binding NewCommand}" />
    </Style>
    <Style x:Key="CollectionView.Command.Edit" BasedOn="{StaticResource CollectionView.Command.Base}" TargetType="dxwui:AppBarButton">
        <Setter Property="Label" Value="{x:Static localization:ViewResources.Command_Edit}" />
        <Setter Property="Glyph" Value="{Binding Source={dx:DXImageGrayscale Image=Edit_32x32.png}}" />
        <Setter Property="Command" Value="{Binding EditCommand}" />
        <Setter Property="CommandParameter" Value="{Binding SelectedEntity}" />
    </Style>
    <Style x:Key="CollectionView.Command.Delete" BasedOn="{StaticResource CollectionView.Command.Base}" TargetType="dxwui:AppBarButton">
        <Setter Property="Label" Value="{x:Static localization:ViewResources.Command_Delete}" />
        <Setter Property="Glyph" Value="{Binding Source={dx:DXImageGrayscale Image=Delete_32x32.png}}" />
        <Setter Property="Command" Value="{Binding DeleteCommand}" />
        <Setter Property="CommandParameter" Value="{Binding SelectedEntity}" />
    </Style>
    <Style x:Key="CollectionView.Command.Save" BasedOn="{StaticResource CollectionView.Command.Base}" TargetType="dxwui:AppBarButton">
        <Setter Property="Label" Value="{x:Static localization:ViewResources.Command_Save}" />
        <Setter Property="Glyph" Value="{Binding Source={dx:DXImageGrayscale Image=Save_32x32.png}}" />
        <Setter Property="Command" Value="{Binding SaveCommand}" />
        <Setter Property="Visibility" Value="{DXBinding AllowSaveReset ? `Visible` : `Collapsed`}" />
    </Style>
    <Style x:Key="CollectionView.Command.Reset" BasedOn="{StaticResource CollectionView.Command.Base}" TargetType="dxwui:AppBarButton">
        <Setter Property="Label" Value="{x:Static localization:ViewResources.Command_Reset}" />
        <Setter Property="Glyph" Value="{Binding Source={dx:DXImageGrayscale Image=Reset_32x32.png}}" />
        <Setter Property="Command" Value="{Binding ResetCommand}" />
        <Setter Property="Visibility" Value="{DXBinding AllowSaveReset ? `Visible` : `Collapsed`}" />
    </Style>
    <Style x:Key="CollectionView.Command.Refresh" BasedOn="{StaticResource CollectionView.Command.Base}" TargetType="dxwui:AppBarButton">
        <Setter Property="Label" Value="{x:Static localization:ViewResources.Command_Refresh}" />
        <Setter Property="Glyph" Value="{Binding Source={dx:DXImageGrayscale Image=Refresh_32x32.png}}" />
        <Setter Property="Command" Value="{Binding RefreshCommand}" />
    </Style>
    <Style x:Key="CollectionView.Command.Reports" BasedOn="{StaticResource CollectionView.Command.Base}" TargetType="dxwui:AppBarButton">
        <Setter Property="Label" Value="{x:Static localization:ViewResources.Command_Reports}" />
        <Setter Property="Glyph" Value="{Binding Source={dx:DXImageGrayscale Image=Print_32x32.png}}" />
    </Style>
    <!--#endregion Commands-->
    <!--#region AppBar-->
    <Style x:Key="CollectionView.AppBar" TargetType="dxwui:AppBar">
        <Setter Property="HideMode" Value="AlwaysVisible" />
    </Style>
    <!--#endregion AppBar-->
    <!--#region Containers-->
    <Style x:Key="CollectionView.RootContainer" TargetType="FrameworkElement">
        <Setter Property="dxmvvm:Interaction.BehaviorsTemplate">
            <Setter.Value>
                <DataTemplate>
                    <ItemsControl>
                        <dxmvvm:EventToCommand Event="Loaded" Command="{Binding OnLoadedCommand}" />
                        <dxmvvm:EventToCommand Event="Unloaded" Command="{Binding OnUnloadedCommand}" />
                        <dxwui:WinUIMessageBoxService />
                        <dx:WindowedDocumentUIService YieldToParent="True" />
                        <dxmvvm:LayoutSerializationService />
                    </ItemsControl>
                </DataTemplate>
            </Setter.Value>
        </Setter>
    </Style>
    <!--#endregion Containers-->
    <!--#region GridControl-->
    <Style x:Key="CollectionView.GridControl.Base" TargetType="dxg:GridControl">
        <Setter Property="ItemsSource" Value="{Binding Entities}" />
        <Setter Property="CurrentItem" Value="{Binding SelectedEntity}" />
        <Setter Property="ShowLoadingPanel" Value="{Binding IsLoading}" />
        <Setter Property="Margin" Value="50,16,42,2" />
    </Style>
    <Style x:Key="CollectionView.GridControl.Editable" BasedOn="{StaticResource CollectionView.GridControl.Base}" TargetType="dxg:GridControl">
        <Setter Property="dxmvvm:Interaction.BehaviorsTemplate">
            <Setter.Value>
                <DataTemplate>
                    <ItemsControl>
                        <dxmvvm:EventToCommand EventName="MouseDoubleClick" Command="{Binding EditCommand}" PassEventArgsToCommand="True" MarkRoutedEventsAsHandled="True">
                            <dxmvvm:EventToCommand.EventArgsConverter>
                                <dx:EventArgsToDataRowConverter />
                            </dxmvvm:EventToCommand.EventArgsConverter>
                        </dxmvvm:EventToCommand>
                    </ItemsControl>
                </DataTemplate>
            </Setter.Value>
        </Setter>
    </Style>
    <Style x:Key="CollectionView.GridControl.ReadOnly" BasedOn="{StaticResource CollectionView.GridControl.Base}" TargetType="dxg:GridControl" />
    <Style x:Key="CollectionView.TableView" TargetType="dxg:TableView">
        <Setter Property="AllowEditing" Value="False" />
        <Setter Property="ShowFixedTotalSummary" Value="True" />
        <Setter Property="AllowPerPixelScrolling" Value="True" />
        <Setter Property="ShowGroupPanel" Value="False" />
        <Setter Property="ShowIndicator" Value="False" />
    </Style>
    <!--#endregion GridControl-->
</ResourceDictionary>